(ns scenario.actions
(:use poly.moving))
(defn PolyMoving [slot-map, sec]
(let [slot (into {} slot-map)]
 (condp = (slot "status")
   "START" (poly-moving-start
                   (slot "object")
                   (slot "observer")
                   (slot "time")
                   sec)
   "REPEAT" (poly-moving-repeat
                   (slot "object")
                   sec) )))
(defn PolyMovingN [slot-map sec]
(let [slot (into {} slot-map)]
 (condp = (slot "status")
   "START" (poly-moving-start-n
                   (slot "mapob")
                   (slot "time")
                   sec)
   "REPEAT" (poly-moving-repeat-n
                   (slot "mapob")
                   (slot "time")
                   (slot "N")
                   sec) )))
