(ns svd.cfr
(:use protege.core)
(:import
  ru.oogis.galtel.dmss.DBWrapper
  ru.oogis.galtel.dmss.DBWrapper$Fvalue
  ru.oogis.galtel.dmss.SmallClassifier
  ru.oogis.galtel.recognition.supply.IORoutines))
(defn svd-forc [inp stid nb nf siz par out stat]
(let [db (DBWrapper. inp nb nf stid (DBWrapper$Fvalue/valueOf par))
        sc (SmallClassifier. db)
        an (.calcSVDForecast sc siz)
        al (java.util.ArrayList.)]
    (IORoutines/saveToTextFile an out)
    (.add al (str "StationID is," stid))
    (.add al (str "Delay between records in seconds is," (.getPeriod db)))
    (.add al (str "Average himidity is," (.getAverageHumidity db)))
    (.add al (str "Average temperature is," (.getAverageTemp db)))
    (.add al (str "Average pressure is," (.getAveragePressure db)))
    (.add al (str "Min and max himidity is," (.getBoundsHumidity db)))
    (.add al (str "Min and max temperature is," (.getBoundsTemp db)))
    (.add al (str "Min and max pressure is," (.getBoundsPressure db)))
    (IORoutines/saveToTextFile al stat)))
